coreBOS OpenSourceBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000156coreBOSFunctionalitypublic2014-05-17 20:172017-08-14 11:52
Reporterjoebordes 
Assigned Tojoebordes 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.4 
Target Version5.5Fixed in Version 
Summary0000156: REST Enhancement: get uitypes
Descriptionmethod to retrieve the uitypes of the fields of a module.
this can be obtained through the REST listypes enhancements implementd in 0000123 but this method is more direct
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000118)
joebordes (manager)
2014-05-17 20:21

Example (coreBOSWSDevelopment): 316_getUITypes.php
User avatar (0000125)
joebordes (manager)
2014-05-18 00:31

Fix committed to master branch. 913e528cdce5f30d42952e0c3633b3867a630f91
User avatar (0000559)
joebordes (manager)
2017-08-14 11:52

Fix committed to master branch. b303031bb9a6e40f5cba94c1d43126d3895a6c1f

- Related Changesets
coreBOS: master 913e528c
Timestamp: 2014-05-18 00:31:19
Author: joebordes
Details ] Diff ]
fixes 0000150, fixes 0000151, fixes 0000152, fixes 0000153, fixes 0000154, fixes 0000155, fixes 0000156, fixes 0000157, fixes 0000158: REST Enhancements for coreBOSCustomer Portal
add - build/wsChanges/CPAuthenticateContact.php Diff ] File ]
add - build/wsChanges/CPChangePortalPassword.php Diff ] File ]
add - build/wsChanges/CPGetRESTUserDateFormat.php Diff ] File ]
add - build/wsChanges/CPGetRESTUserInfo.php Diff ] File ]
add - build/wsChanges/CPGetWSEntityID.php Diff ] File ]
add - build/wsChanges/CPGetWSReference.php Diff ] File ]
add - build/wsChanges/CPGlobalSearch.php Diff ] File ]
add - build/wsChanges/CPgetPicklistValues.php Diff ] File ]
add - build/wsChanges/CPgetUITypes.php Diff ] File ]
add - build/wsChanges/CPgetUsersInSameGroup.php Diff ] File ]
add - include/Webservices/CustomerPortalWS.php Diff ] File ]
WebserviceDevelopmentTool: master 2d37da02
Timestamp: 2014-05-18 02:08:44
Author: joebordes
Details ] Diff ]
examples of coreBOSCP REST enhancements: issues 0000160, 0000159, 0000161, 0000156, 0000155, 0000151, 0000150
add - testcode/304_getWebserviceEntityID.php Diff ] File ]
add - testcode/308_getReferenceName.php Diff ] File ]
add - testcode/312_getPicklistValues.php Diff ] File ]
add - testcode/316_getUITypes.php Diff ] File ]
add - testcode/320_GetFilterFields.php Diff ] File ]
add - testcode/324_getTranslate.php Diff ] File ]
add - testcode/328_addTicketFaqComment.php Diff ] File ]
coreBOS: master b303031b
Timestamp: 2017-08-14 10:50:36
Author: joebordes
Details ] Diff ]
fix(Webservice) incorrect variable name. Thanks John Crisp. fixes 0000156
mod - include/Webservices/DataTransform.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-17 20:17 joebordes New Issue
2014-05-17 20:17 joebordes Status new => assigned
2014-05-17 20:17 joebordes Assigned To => joebordes
2014-05-17 20:21 joebordes Note Added: 0000118
2014-05-18 00:31 joebordes Changeset attached => coreBOS master 913e528c
2014-05-18 00:31 joebordes Note Added: 0000125
2014-05-18 00:31 joebordes Status assigned => resolved
2014-05-18 00:31 joebordes Resolution open => fixed
2015-03-22 01:25 joebordes Changeset attached => WebserviceDevelopmentTool master 2d37da02
2017-08-14 11:52 joebordes Changeset attached => coreBOS master b303031b
2017-08-14 11:52 joebordes Note Added: 0000559


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker